doctype html
head
  meta(charset='utf-8')

  block pageMeta
    title Korkey's LP Vision
    meta(name='description' content='View LP ranges from a variety of dex protocols')

  meta(name='viewport' content='width=device-width, user-scaleable=no')

  style.
    @import '~/src/lib/styles/inline.scss';

  link(rel='stylesheet' href='~/src/lib/styles/index.scss')
//- .send-tip
  style.
    #send-tip.copied {
      color: green;
      text-decoration: none;
    }

  script.
    function copyTipAddress(event) {
      event.preventDefault();

      let origContent = event.target.textContent

      navigator.clipboard.writeText(event.target.dataset.address)

      event.target.classList.add('copied')
      event.target.innerHTML = '√ Copied tip address to clipboard √<br>❤️ Thank you! ❤️'

      setTimeout(() => {
        event.target.classList.remove('copied')
        event.target.textContent = origContent
      }, 6000)
    }

  h3
    | Do you find these tools useful?
    br
    a#send-tip(onclick="copyTipAddress(event)" data-address="tips.korkey.eth" href="#") Send me a tip

.world
  noscript
    | You gotta have javascript for this to work. Sry

  header
    block header

      h1 Korkey's LP Vision

    .togglers
      .history(data-controller="history")
        .toggler(data-action="click->history#toggle")
          span.icon history
        .history-container
          .toggler.closer(data-action="click->history#toggle")
            span.icon close
            span Close

          .history-list(data-history-target="list")

      .theme-selector(data-controller='theme')
        .toggler(data-theme-target='switcher' data-action='click->theme#toggleTheme')
          span.icon light_mode

  section.content
    block content
      section.blocks
        .block
          a.label(href="~/src/liquidity/index.pug") Liquidity
          .dex-selector
            a(href="/src/liquidity/uni-v3/index.pug")
              img(src="~/src/lib/assets/images/uniswap.png")
            a(href="/src/liquidity/9mm-v3/index.pug")
              img(src="~/src/lib/assets/images/9mm.png")
            a(href="/src/liquidity/9inch-v3/index.pug")
              img(src="~/src/lib/assets/images/9inch.png")
          h3(style='margin: 0.7em 0 0;') Choose your dex

        .block
          a.label(href="~/src/positions/index.pug") Positions
          .dex-selector
            a(href="/src/positions/uni-v3/index.pug")
              img(src="~/src/lib/assets/images/uniswap.png")
            a(href="/src/positions/9mm-v3/index.pug")
              img(src="~/src/lib/assets/images/9mm.png")
            a(href="/src/positions/9inch-v3/index.pug")
              img(src="~/src/lib/assets/images/9inch.png")
          h3(style='margin: 0.7em 0 0;') Choose your dex
  footer
    .credits
      h3
        | Made with <span style="font-family: system-ui;">❤️</span> by <a href="https://korkey.tech/">korkey.eth</a>

.background

block javascripts
  script(
    data-goatcounter="https://stats.korkey.tech/count"
    async=`true`
    src="https://stats.korkey.tech/count.js"
  )

  script(type='module' src='~/src/lib/javascripts/index.js')
